Package org.apache.synapse.transport.http.conn

## Class DefaultProxyAuthenticator

- java.lang.Object
- - org.apache.synapse.transport.http.conn.DefaultProxyAuthenticator

- All Implemented Interfaces:
    `ProxyAuthenticator`

      public class DefaultProxyAuthenticator
      extends Object
      implements ProxyAuthenticator

  DefaultProxyAuthenticator will be initialized when proxy is configured with http.proxyHost

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultProxyAuthenticator​(org.apache.http.auth.Credentials credentials)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `authenticatePreemptively​(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` | this will add authentication header to the request

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProxyAuthenticator

          public DefaultProxyAuthenticator​(org.apache.http.auth.Credentials credentials)
                                    throws org.apache.http.auth.MalformedChallengeException

      Throws:
        `org.apache.http.auth.MalformedChallengeException`

  - ### Method Detail

    - #### authenticatePreemptively

          public void authenticatePreemptively​(org.apache.http.HttpRequest request,
                                               org.apache.http.protocol.HttpContext context)
                                        throws org.apache.http.auth.AuthenticationException

      this will add authentication header to the request
      Specified by:
        `authenticatePreemptively` in interface `ProxyAuthenticator`
      Parameters:
        `request` - outgoing http request
        `context` - http context
      Throws:
        `org.apache.http.auth.AuthenticationException`